Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 785787 - [guru] dev-python/portio-0.5 fails to link with LLD because of /usr/lib in the link command line
Summary: [guru] dev-python/portio-0.5 fails to link with LLD because of /usr/lib in th...
Status: RESOLVED FIXED
Alias: None
Product: GURU
Classification: Unclassified
Component: Package issues (show other bugs)
Hardware: All Linux
: Normal normal
Assignee: GURU project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2021-04-26 06:52 UTC by Agostino Sarubbo
Modified: 2021-04-28 08:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,9.03 KB, text/plain)
2021-04-26 06:52 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-04-26 06:52:12 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-python/portio-0.5 fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64 (internal ref: guru_tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
This machine uses a clang/LLVM toolchain with LLD as linker.
Comment 1 Agostino Sarubbo gentoo-dev 2021-04-26 06:52:15 UTC
Created attachment 702555 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-04-26 06:52:17 UTC
Possible context of error(s):

ld.lld: error: /usr/lib/gcc/x86_64-pc-linux-gnu/10.3.0/../../../../lib64/crti.o is incompatible with elf32-i386
Comment 3 Larry the Git Cow gentoo-dev 2021-04-28 08:08:13 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4864ed4b81ad84f3b864fbae046315be316b5757

commit 4864ed4b81ad84f3b864fbae046315be316b5757
Author:     Theo Anderson <telans@posteo.de>
AuthorDate: 2021-04-28 02:03:08 +0000
Commit:     Theo Anderson <telans@posteo.de>
CommitDate: 2021-04-28 02:03:08 +0000

    dev-python/portio: fix link with lld
    
    Closes: https://bugs.gentoo.org/785787
    Signed-off-by: Theo Anderson <telans@posteo.de>

 dev-python/portio/portio-0.5.ebuild | 8 ++++++++
 1 file changed, 8 insertions(+)